scala
trait Product21

[source: `scala/Product21.scala`]

`` `trait` Product21[+T1, +T2, +T3, +T4, +T5, +T6, +T7, +T8, +T9, +T10, +T11, +T12, +T13, +T14, +T15, +T16, +T17, +T18, +T19, +T20, +T21]
  `extends` Product

  Product21 is a cartesian product of 21 components

Direct Known Subclasses:
  Tuple21

Method Summary
`abstract def` | _1 : T1 projection of this product
`abstract def` | _10 : T10 projection of this product
`abstract def` | _11 : T11 projection of this product
`abstract def` | _12 : T12 projection of this product
`abstract def` | _13 : T13 projection of this product
`abstract def` | _14 : T14 projection of this product
`abstract def` | _15 : T15 projection of this product
`abstract def` | _16 : T16 projection of this product
`abstract def` | _17 : T17 projection of this product
`abstract def` | _18 : T18 projection of this product
`abstract def` | _19 : T19 projection of this product
`abstract def` | _2 : T2 projection of this product
`abstract def` | _20 : T20 projection of this product
`abstract def` | _21 : T21 projection of this product
`abstract def` | _3 : T3 projection of this product
`abstract def` | _4 : T4 projection of this product
`abstract def` | _5 : T5 projection of this product
`abstract def` | _6 : T6 projection of this product
`abstract def` | _7 : T7 projection of this product
`abstract def` | _8 : T8 projection of this product
`abstract def` | _9 : T9 projection of this product
`override def` | productArity : Int The arity of this product.
`override def` | productElement (n : Int) : Any Returns the n-th projection of this product if 0<=n<arity, otherwise null.

Methods inherited from Product
element, arity, productPrefix

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` productArity : Int

  The arity of this product.

Returns
  21

Overrides
  Product.productArity

`override` `def` productElement(n : Int) : Any

  Returns the n-th projection of this product if 0<=n<arity, otherwise null.

Parameters
  `n -` number of the projection to be returned
Returns
  same as _(n+1)
Throws
  `IndexOutOfBoundsException -`

Overrides
  Product.productElement

`abstract` `def` _1 : T1

  projection of this product

`abstract` `def` _2 : T2

  projection of this product

`abstract` `def` _3 : T3

  projection of this product

`abstract` `def` _4 : T4

  projection of this product

`abstract` `def` _5 : T5

  projection of this product

`abstract` `def` _6 : T6

  projection of this product

`abstract` `def` _7 : T7

  projection of this product

`abstract` `def` _8 : T8

  projection of this product

`abstract` `def` _9 : T9

  projection of this product

`abstract` `def` _10 : T10

  projection of this product

`abstract` `def` _11 : T11

  projection of this product

`abstract` `def` _12 : T12

  projection of this product

`abstract` `def` _13 : T13

  projection of this product

`abstract` `def` _14 : T14

  projection of this product

`abstract` `def` _15 : T15

  projection of this product

`abstract` `def` _16 : T16

  projection of this product

`abstract` `def` _17 : T17

  projection of this product

`abstract` `def` _18 : T18

  projection of this product

`abstract` `def` _19 : T19

  projection of this product

`abstract` `def` _20 : T20

  projection of this product

`abstract` `def` _21 : T21

  projection of this product